Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class Party35Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.Party35Choice

    public class Party35Choice
    extends java.lang.Object

Java class for Party35Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party35Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Pty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PartyIdentification125"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}BranchAndFinancialInstitutionIdentification5"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BranchAndFinancialInstitutionIdentification5` `agt`
`protected PartyIdentification125` `pty`

### Constructor Summary

Constructors
`Party35Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BranchAndFinancialInstitutionIdentification5` `getAgt()` Gets the value of the agt property.
`PartyIdentification125` `getPty()` Gets the value of the pty property.
`void` `setAgt​(BranchAndFinancialInstitutionIdentification5 value)` Sets the value of the agt property.
`void` `setPty​(PartyIdentification125 value)` Sets the value of the pty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pty

    protected PartyIdentification125 pty

#### agt

    protected BranchAndFinancialInstitutionIdentification5 agt

### Constructor Detail

#### Party35Choice

    public Party35Choice()

### Method Detail

#### getPty

    public PartyIdentification125 getPty()

Gets the value of the pty property.

Returns:
  possible object is `PartyIdentification125`

#### setPty

    public void setPty​(PartyIdentification125 value)

Sets the value of the pty property.

Parameters:
  `value` - allowed object is `PartyIdentification125`

#### getAgt

    public BranchAndFinancialInstitutionIdentification5 getAgt()

Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

#### setAgt

    public void setAgt​(BranchAndFinancialInstitutionIdentification5 value)

Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`